<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<title>calendar demo</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel='stylesheet' href='webjars/fullcalendar/3.5.1/dist/fullcalendar.css' />

   <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

<script src="webjars/jquery/2.0.3/jquery.min.js"></script>
<script src='webjars/moment/2.19.1/min/moment.min.js'></script>
<script src='webjars/fullcalendar/3.5.1/dist/fullcalendar.js'></script>
<script src="js/my-jq-ajax-util.js"></script>
<script src='webjars/fullcalendar/3.5.1/dist/locale/fr.js'></script>
<script type="text/javascript">

function myDisplayCalendar(events){
	var calendar = $('#calendar').fullCalendar({
		
	    header: {
	        left: 'prev,next today',
	        center: 'title',
	        right: 'month,agendaWeek,agendaDay,listMonth'
	    },
	    lang:'fr',
	    defaultView: 'listMonth',
		selectable: true,
		selectHelper: true,
		select: function(start, end, allDay) {
			calendar.fullCalendar('unselect');
			},
	    editable: true,
	    events: events

	});
}

$(document).ready(function() {

	var urlParams = new URLSearchParams(window.location.search);
	console.log(urlParams.toString()); 
	var id_client=$('#toto').val();
	console.log("toto=" + id_client);
	
	// appel GET
	$.ajax({
			type : 'GET',
			url : './dates/all?' + urlParams.toString(),
			contentType : "application/json",
			success : function (data, status, xhr) {
				var jsonString = JSON.stringify(data);
				//console.log(jsonString);
				myDisplayCalendar(data);
				},
		     error: function( jqXHR, textStatus, errorThrown ){
		       	$("#idDivMessage").html( xhrStatusToErrorMessage(jqXHR) + "status:" + textStatus + " error : " + errorThrown ) ;
		        }
		});
	
	
});
</script>

<style>
 
    body {
        margin: 40px 10px;
        padding: 0;
        font-family: "Lucida Grande",Helvetica,Arial,Verdana,sans-serif;
        font-size: 14px;
    }
 
    #calendar {
        max-width: 900px;
        margin: 0 auto;
    }
 
</style>
</head>
<body>
  <h1 id='toto'>Agenda des Prestations</h1>
  <div id='calendar'></div>
</body>
</html>